﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Pivot.Core;
using Telerik.Pivot.Core.ViewModels;
using System.Windows;

namespace RadPivotGrid_WPF_654140
{
    public class CellSelector : DataTemplateSelector
    {
        public DataTemplate GroupADataTemplate { get; set; }
        public DataTemplate GroupBDataTemplate { get; set; }

        public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
        {
            var cellAggregate = item as CellAggregateValue;
            if (cellAggregate != null)
            {
                if (cellAggregate.ColumnGroup.Name == "Copy holder" && cellAggregate.RowGroup.Name != "Grand Total")
                {
                    return this.GroupADataTemplate;
                }
                else if (cellAggregate.ColumnGroup.Name == "Printer stand" && cellAggregate.RowGroup.Name != "Grand Total")
                {
                    return this.GroupBDataTemplate;
                }
            }

            return base.SelectTemplate(item, container);
        }
    }
}
